use super::*;

pub async fn on_get_item_data(
    _session: &NetSession,
    player: &mut Player,
    _req: GetItemDataCsReq,
) -> NetResult<GetItemDataScRsp> {
    let item_model = &player.item_model;

    Ok(GetItemDataScRsp {
        retcode: Retcode::RetSucc.into(),
        resource_list: item_model.resources.iter().map(|i| i.to_client()).collect(),
        ..Default::default()
    })
}
