use proto::AvatarSkillBin;

pub struct AvatarSkill {
    pub skill_type: u32,
    pub level: u32,
}

impl AvatarSkill {
    pub fn from_bin(bin: AvatarSkillBin) -> Self {
        Self {
            skill_type: bin.skill_type,
            level: bin.level,
        }
    }

    pub fn to_bin(&self) -> AvatarSkillBin {
        AvatarSkillBin {
            skill_type: self.skill_type,
            level: self.level,
        }
    }
}
